# I do not know how to avoid this
%global debug_package %{nil}

Name:           python-watchfiles
Version:        0.21.0
Release:        %mkrel 1
Summary:        Simple, modern and high performance file watching and code reload
Group:          Development/Python

License:        MIT
URL:            https://github.com/samuelcolvin/watchfiles
Source:         %{pypi_source watchfiles}
Source1:        vendor.tar.xz
Source2:        cargo_config

BuildRequires:  python3-devel
BuildRequires:  rust-packaging


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
Simple, modern and high performance file watching and code reload in python.
Underlying file system notifications are handled by the Notify rust library.}

%description %_description

%package -n     python3-watchfiles
Summary:        %{summary}

%description -n python3-watchfiles %_description


%prep
%autosetup -p1 -a1 -n watchfiles-%{version}
install -D -m 644 %{SOURCE2} .cargo/config


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files watchfiles


%check
%pyproject_check_import


%files -n python3-watchfiles -f %{pyproject_files}
%{_bindir}/watchfiles


%changelog
* Wed Jan 10 2024 papoteur <papoteur> 0.21.0-1.mga10
+ Revision: 2029473
- fix summary
- imported package python-watchfiles

